summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2017-08-02 10:58:09 -0400
committerAnthony G. Basile <blueness@gentoo.org>2017-08-02 10:59:44 -0400
commit535d9754989fe98588d9c2e74e052a3d84d95acd (patch)
tree0c91e6dbd740bac264276ac4fdc30f2e6d3f081a /www-servers/varnish/varnish-4.1.8.ebuild
parentdev-python/sphinxcontrib-issuetracker: re-add stable (diff)
downloadgentoo-535d9754989fe98588d9c2e74e052a3d84d95acd.tar.gz
gentoo-535d9754989fe98588d9c2e74e052a3d84d95acd.tar.bz2
gentoo-535d9754989fe98588d9c2e74e052a3d84d95acd.zip
www-servers/varnish: version bumps to 4.0.5, 4.1.8, 5.1.3, security bug #626872
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'www-servers/varnish/varnish-4.1.8.ebuild')
-rw-r--r--www-servers/varnish/varnish-4.1.8.ebuild103
1 files changed, 103 insertions, 0 deletions
diff --git a/www-servers/varnish/varnish-4.1.8.ebuild b/www-servers/varnish/varnish-4.1.8.ebuild
new file mode 100644
index 00000000000..96614e6b108
--- /dev/null
+++ b/www-servers/varnish/varnish-4.1.8.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{2_7,3_4} pypy )
+
+inherit user autotools systemd python-r1
+
+DESCRIPTION="Varnish is a state-of-the-art, high-performance HTTP accelerator"
+HOMEPAGE="http://www.varnish-cache.org/"
+SRC_URI="http://repo.varnish-cache.org/source/${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~ppc64 ~x86"
+IUSE="jemalloc jit static-libs"
+
+CDEPEND="
+ sys-libs/readline:0=
+ dev-libs/libpcre[jit?]
+ jemalloc? ( dev-libs/jemalloc )
+ sys-libs/ncurses:0="
+
+#varnish compiles stuff at run time
+RDEPEND="
+ ${PYTHON_DEPS}
+ ${CDEPEND}
+ sys-devel/gcc"
+
+DEPEND="
+ ${CDEPEND}
+ dev-python/docutils
+ virtual/pkgconfig"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test" #315725
+
+pkg_setup() {
+ ebegin "Creating varnish user and group"
+ enewgroup varnish
+ enewuser varnish -1 -1 /var/lib/varnish varnish
+ eend $?
+}
+
+src_prepare() {
+ # Remove bundled libjemalloc. We also fix
+ # automagic dep in our patches, bug #461638
+ rm -rf lib/libjemalloc
+
+ # Fix bug #620952
+ eapply "${FILESDIR}"/fix-build-x86.patch
+
+ # Remove -Werror bug #528354
+ sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac
+
+ eapply_user
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable jit pcre-jit ) \
+ $(use_with jemalloc)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ python_replicate_script "${D}/usr/share/varnish/vmodtool.py"
+
+ newinitd "${FILESDIR}"/varnishlog.initd varnishlog
+ newconfd "${FILESDIR}"/varnishlog.confd varnishlog
+
+ newinitd "${FILESDIR}"/varnishncsa.initd varnishncsa
+ newconfd "${FILESDIR}"/varnishncsa.confd varnishncsa
+
+ newinitd "${FILESDIR}"/varnishd.initd-r4 varnishd
+ newconfd "${FILESDIR}"/varnishd.confd-r4 varnishd
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}/varnishd.logrotate-r2" varnishd
+
+ diropts -m750
+
+ dodir /var/log/varnish/
+
+ systemd_dounit "${FILESDIR}/${PN}d.service"
+
+ insinto /etc/varnish/
+ doins lib/libvmod_std/vmod.vcc
+ doins etc/example.vcl
+
+ dodoc README.rst
+ dodoc doc/changes.rst
+
+ fowners root:varnish /etc/varnish/
+ fowners varnish:varnish /var/lib/varnish/
+ fperms 0750 /var/lib/varnish/ /etc/varnish/
+}